package body MSHTML.IHTMLOptionsHolder_Object is

   function Get_document
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_document);
   end Get_document;

   function Get_fonts
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_fonts);
   end Get_fonts;

   procedure Put_execArg
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_execArg,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_execArg;

   function Get_execArg
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_execArg);
   end Get_execArg;

   procedure Put_errorLine
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_errorLine,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_errorLine;

   function Get_errorLine
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_errorLine);
   end Get_errorLine;

   procedure Put_errorCharacter
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_errorCharacter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_errorCharacter;

   function Get_errorCharacter
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_errorCharacter);
   end Get_errorCharacter;

   procedure Put_errorCode
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_errorCode,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_errorCode;

   function Get_errorCode
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_errorCode);
   end Get_errorCode;

   procedure Put_errorMessage
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_errorMessage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_errorMessage;

   function Get_errorMessage
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_errorMessage);
   end Get_errorMessage;

   procedure Put_errorDebug
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_errorDebug,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_errorDebug;

   function Get_errorDebug
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_errorDebug);
   end Get_errorDebug;

   function Get_unsecuredWindowOfDocument
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_unsecuredWindowOfDocument);
   end Get_unsecuredWindowOfDocument;

   procedure Put_findText
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_findText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_findText;

   function Get_findText
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_findText);
   end Get_findText;

   procedure Put_anythingAfterFrameset
     (This : IHTMLOptionsHolder_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLOptionsHolder_Put_anythingAfterFrameset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_anythingAfterFrameset;

   function Get_anythingAfterFrameset
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_anythingAfterFrameset);
   end Get_anythingAfterFrameset;

   function sizes
     (This     : IHTMLOptionsHolder_Type;
      fontName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLOptionsHolder_sizes,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fontName),
         Free);
   end sizes;

   function openfiledlg
     (This     : IHTMLOptionsHolder_Type;
      initFile : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      initDir  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      filter   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      title    : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLOptionsHolder_openfiledlg,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => title,
          2 => filter,
          3 => initDir,
          4 => initFile),
         Free);
   end openfiledlg;

   function savefiledlg
     (This     : IHTMLOptionsHolder_Type;
      initFile : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      initDir  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      filter   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      title    : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLOptionsHolder_savefiledlg,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => title,
          2 => filter,
          3 => initDir,
          4 => initFile),
         Free);
   end savefiledlg;

   function choosecolordlg
     (This      : IHTMLOptionsHolder_Type;
      initColor : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLOptionsHolder_choosecolordlg,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => initColor),
         Free);
   end choosecolordlg;

   procedure showSecurityInfo
     (This : IHTMLOptionsHolder_Type)
   is
   begin
      Invoke (This, IHTMLOptionsHolder_showSecurityInfo);
   end showSecurityInfo;

   function isApartmentModel
     (This   : IHTMLOptionsHolder_Type;
      object : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLOptionsHolder_isApartmentModel,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => object),
         Free);
   end isApartmentModel;

   function getCharset
     (This     : IHTMLOptionsHolder_Type;
      fontName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLOptionsHolder_getCharset,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fontName),
         Free);
   end getCharset;

   function Get_secureConnectionInfo
     (This : IHTMLOptionsHolder_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLOptionsHolder_Get_secureConnectionInfo);
   end Get_secureConnectionInfo;

end MSHTML.IHTMLOptionsHolder_Object;

